package com.qmth.paper.library.business.entity;

import com.baomidou.mybatisplus.annotation.FieldStrategy;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.paper.library.common.base.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * <p>
 * 扫描任务表
 * </p>
 */
@TableName("paper_scan_task")
public class PaperScanTask extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("school_id")
    private Long schoolId;

    @ApiModelProperty(value = "档案表id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("paper_archives_id")
    private Long paperArchivesId;

    /**
     * 扫描任务名称
     */
    @TableField("scan_task_name")
    private String scanTaskName;

    /**
     * 课程名称
     */
    @TableField("course_name")
    private String courseName;

    /**
     * 任课教师
     */
    @TableField("teacher_name")
    private String teacherName;

    /**
     * 教学班名称
     */
    @TableField("teach_clazz_name")
    private String teachClazzName;


    @ApiModelProperty(value = "扫描员id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField(value = "scan_user_id", updateStrategy = FieldStrategy.IGNORED)
    private Long scanUserId;

    /**
     * 扫描量
     */
    @TableField(value = "student_count", updateStrategy = FieldStrategy.IGNORED)
    private Integer studentCount;

    /**
     * 已扫描数量
     */
    @TableField(value = "scan_count", updateStrategy = FieldStrategy.IGNORED)
    private Integer scanCount;

    /**
     * 是否结束
     */
    @TableField("enable")
    private Boolean enable;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getPaperArchivesId() {
        return paperArchivesId;
    }

    public void setPaperArchivesId(Long paperArchivesId) {
        this.paperArchivesId = paperArchivesId;
    }

    public String getScanTaskName() {
        return scanTaskName;
    }

    public void setScanTaskName(String scanTaskName) {
        this.scanTaskName = scanTaskName;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeachClazzName() {
        return teachClazzName;
    }

    public void setTeachClazzName(String teachClazzName) {
        this.teachClazzName = teachClazzName;
    }

    public Long getScanUserId() {
        return scanUserId;
    }

    public void setScanUserId(Long scanUserId) {
        this.scanUserId = scanUserId;
    }

    public Integer getStudentCount() {
        return studentCount;
    }

    public void setStudentCount(Integer studentCount) {
        this.studentCount = studentCount;
    }

    public Integer getScanCount() {
        return scanCount;
    }

    public void setScanCount(Integer scanCount) {
        this.scanCount = scanCount;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }
}
