package com.qmth.paper.library.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.paper.library.business.bean.result.PaperArchivesDetailResult;
import com.qmth.paper.library.business.bean.result.PaperArchivesResult;
import com.qmth.paper.library.business.bean.result.SelectResult;
import com.qmth.paper.library.business.entity.PaperArchives;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 档案管理表 Mapper 接口
 * </p>
 */
public interface PaperArchivesMapper extends BaseMapper<PaperArchives> {

    IPage<PaperArchivesResult> pageData(@Param("page") Page<PaperArchivesResult> page, @Param("schoolId") Long schoolId, @Param("semesterId") Long semesterId, @Param("managerOrgId") Long managerOrgId, @Param("archivesTypeId") Long archivesTypeId, @Param("archivesName") String archivesName, @Param("orgIds") Set<Long> orgIds);

    PaperArchives selectByArchivesName(@Param("schoolId") Long schoolId, @Param("archivesName") String archivesName);

    List<SelectResult> queryManagerOrg(@Param("schoolId") Long schoolId, @Param("semesterId") Long semesterId);

    IPage<PaperArchivesDetailResult> pageDetail(@Param("page") Page<PaperArchivesDetailResult> page, @Param("paperArchivesId") Long paperArchivesId, @Param("belongOrgId") Long belongOrgId, @Param("majorName") String majorName, @Param("clazzName") String clazzName, @Param("courseName") String courseName, @Param("teacherName") String teacherName, @Param("teachClazzName") String teachClazzName, @Param("isBind") Boolean isBind, @Param("param") String param);

    List<PaperArchivesDetailResult> pageDetail(@Param("paperArchivesId") Long paperArchivesId, @Param("belongOrgId") Long belongOrgId, @Param("majorName") String majorName, @Param("clazzName") String clazzName, @Param("courseName") String courseName, @Param("teacherName") String teacherName, @Param("teachClazzName") String teachClazzName, @Param("isBind") Boolean isBind, @Param("param") String param);

    List<SelectResult> queryManagerUser(@Param("schoolId") Long schoolId, @Param("roleType") String roleType);

    List<PaperArchivesDetailResult> listDetail(@Param("ids") List<String> ids);
}
