package com.qmth.paper.library.business.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.qmth.paper.library.business.bean.result.PaperLibraryResult;
import com.qmth.paper.library.business.bean.result.TaskStudentResult;
import com.qmth.paper.library.business.entity.PaperLibrary;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Set;

/**
 * <p>
 * 图片库 Mapper 接口
 * </p>
 */
public interface PaperLibraryMapper extends BaseMapper<PaperLibrary> {

    IPage<PaperLibraryResult> pageUnbindData(@Param("page") Page<PaperLibraryResult> page, @Param("paperScanTaskId") Long paperScanTaskId);

    int countUnbindData(@Param("paperScanTaskId") Long paperScanTaskId);

    IPage<PaperLibraryResult> pageBindData(@Param("page") Page<PaperLibraryResult> page, @Param("paperScanTaskId") Long paperScanTaskId);

    int countBindData(@Param("paperScanTaskId") Long paperScanTaskId);

    IPage<PaperLibraryResult> pageAbnormalData(@Param("page") Page<PaperLibraryResult> page, @Param("paperScanTaskId") Long paperScanTaskId, @Param("listSubOrgIds") Set<Long> listSubOrgIds, @Param("isMatch") boolean isMatch, @Param("userId") Long userId);

    int countAbnormalData(@Param("paperScanTaskId") Long paperScanTaskId);

    List<PaperLibrary> listUnBindData(@Param("schoolId") Long schoolId);

    List<PaperLibrary> selectBatchData(@Param("schoolId") Long schoolId, @Param("userId") Long userId);

    IPage<TaskStudentResult> listByStudentCode(@Param("page") Page<TaskStudentResult> page, @Param("schoolId") Long schoolId, @Param("studentCode") String studentCode);

    IPage<TaskStudentResult> pageStudent(@Param("objectPage") Page<Object> objectPage, @Param("schoolId") Long schoolId, @Param("paperScanTaskId") Long paperScanTaskId, @Param("param") String param);

    int countByPaperScanTaskDetailId(Long paperScanTaskDetailId);
}
