package com.qmth.paper.library.business.service;

import com.alibaba.fastjson.JSONObject;
import com.qmth.paper.library.common.entity.BasicAttachment;
import com.qmth.paper.library.common.entity.SysOrg;
import com.qmth.paper.library.common.enums.TaskTypeEnum;
import com.qmth.paper.library.common.enums.UploadFileEnum;
import org.springframework.web.multipart.MultipartFile;

import java.io.ByteArrayOutputStream;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @Description: 公共服务service
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/26
 */
public interface PaperLibraryCommonService {

    /**
     * 保存附件公用
     *
     * @param file
     * @param md5
     * @param type
     * @param objId
     * @return
     */
    public BasicAttachment saveAttachmentCommon(MultipartFile file, String md5, UploadFileEnum type, Long objId);

    /**
     * 保存附件
     *
     * @param file
     * @param md5
     * @param type
     * @return
     */
    public BasicAttachment saveAttachment(MultipartFile file, String md5, UploadFileEnum type);

    /**
     * 机构禁用
     *
     * @param org
     * @return
     */
    boolean enable(SysOrg org);

    /**
     * 机构删除
     *
     * @param ids
     * @return
     */
    boolean sysOrgRemove(String ids);

    /**
     * 保存任务
     *
     * @param file
     * @param taskTypeEnum
     * @return
     */
    public Map<String, Object> saveTask(MultipartFile file, TaskTypeEnum taskTypeEnum);

    String saveLibraryFile(UploadFileEnum uploadFileEnum, MultipartFile... files);

    String preViewPath(String path, String uploadType, String type, Boolean isExpire);

    File downloadFile(String rootPath, String path, String uploadType, String type) throws FileNotFoundException;

    Set<Long> listSubOrgIds(Long orgId);
}
