package com.qmth.paper.library.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.paper.library.business.bean.result.PaperLibraryResult;
import com.qmth.paper.library.business.bean.result.TaskStudentResult;
import com.qmth.paper.library.business.entity.PaperLibrary;

import java.util.List;

/**
 * <p>
 * 图片库 服务类
 * </p>
 */
public interface PaperLibraryService extends IService<PaperLibrary> {

    IPage<PaperLibraryResult> pageUnbindData(Long paperScanTaskId, Integer pageNumber, Integer pageSize);

    int countUnbindData(Long paperScanTaskId);

    IPage<PaperLibraryResult> pageBindData(Long paperScanTaskId, Integer pageNumber, Integer pageSize);

    int countBindData(Long paperScanTaskId);

    IPage<PaperLibraryResult> pageAbnormalData(Long paperScanTaskId, Integer pageNumber, Integer pageSize);

    int countAbnormalData(Long paperScanTaskId);

    boolean bind(Long paperLibraryId, Long paperScanTaskDetailId);

    List<PaperLibraryResult> listStudentPicture(Long paperScanTaskDetailId);

    List<PaperLibraryResult> toAbnormalPaper(Long paperLibraryId);

    List<PaperLibraryResult> toBindPaper();

    IPage<TaskStudentResult> listByStudentCode(String studentCode, Integer pageNumber, Integer pageSize);

    int countScanCount(Long paperScanTaskId);

    IPage<TaskStudentResult> pageStudent(Long paperScanTaskId, String param, Boolean globalMatch, Integer pageNumber, Integer pageSize);

    List<String> ocr(Long paperLibraryId, Integer index, Integer x, Integer y, Integer width, Integer height, Integer rotate);

    Boolean abnormal(Long paperLibraryId);
}
