package com.qmth.paper.library.common.bean.params;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * 数组参数params
 */
public class DownLoadPaperParams implements Serializable {

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "档案ID")
    Long paperArchivesId;

    @JsonSerialize(using = ToStringSerializer.class)
    @ApiModelProperty(value = "学院")
    Long belongOrgId;

    @ApiModelProperty(value = "专业")
    String majorName;

    @ApiModelProperty(value = "班级")
    String clazzName;

    @ApiModelProperty(value = "课程")
    String courseName;

    @ApiModelProperty(value = "任课老师")
    String teacherName;

    @ApiModelProperty(value = "教学班")
    String teachClazzName;

    @ApiModelProperty(value = "是否绑定")
    Integer isBind;

    @ApiModelProperty(value = "模糊查询（姓名/学号）")
    String param;

    @ApiModelProperty(value = "id数组")
    String ids;

    public Long getPaperArchivesId() {
        return paperArchivesId;
    }

    public void setPaperArchivesId(Long paperArchivesId) {
        this.paperArchivesId = paperArchivesId;
    }

    public Long getBelongOrgId() {
        return belongOrgId;
    }

    public void setBelongOrgId(Long belongOrgId) {
        this.belongOrgId = belongOrgId;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeachClazzName() {
        return teachClazzName;
    }

    public void setTeachClazzName(String teachClazzName) {
        this.teachClazzName = teachClazzName;
    }

    public Integer getIsBind() {
        return isBind;
    }

    public void setIsBind(Integer isBind) {
        this.isBind = isBind;
    }

    public String getParam() {
        return param;
    }

    public void setParam(String param) {
        this.param = param;
    }

    public String getIds() {
        return ids;
    }

    public void setIds(String ids) {
        this.ids = ids;
    }
}
