package com.qmth.paper.library.common.entity;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.paper.library.common.base.BaseEntity;
import com.qmth.paper.library.common.bean.dto.syssetting.SettingObject;
import com.qmth.paper.library.common.bean.dto.syssetting.SimpleObject;
import com.qmth.paper.library.common.contant.SysSettingConstant;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 系统设置表
 * </p>
 */
@TableName("sys_setting")
public class SysSetting extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    @TableField("school_id")
    private Long schoolId;


    /**
     * 是否开启全局匹配
     */
    @TableField("parameter_object")
    private String parameterObject;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getParameterObject() {
        return parameterObject;
    }

    public void setParameterObject(String parameterObject) {
        this.parameterObject = parameterObject;
    }

    /**
     * 初始化数据
     */
    public static SysSetting init(Long schoolId) {
        List<SettingObject> settingObjects = new ArrayList<>();
        List<SimpleObject> simpleObjects1 = new ArrayList<>();
        simpleObjects1.add(new SimpleObject(SysSettingConstant.SYS_VERIFICATION_CODE_LOGIN_ENABLE, "是否开启验证码登录", "false", 2, true));
        simpleObjects1.add(new SimpleObject(SysSettingConstant.SYS_SMS_NOTIFICATION_ENABLE, "是否开启短信提醒功能", "false", 3, true));

        settingObjects.add(new SettingObject("系统设置", 1, simpleObjects1));

        List<SimpleObject> simpleObjects2 = new ArrayList<>();
        simpleObjects2.add(new SimpleObject(SysSettingConstant.OCR_OPEN, "是否启用OCR", "false", 1, true));

        settingObjects.add(new SettingObject("OCR设置", 2, simpleObjects2));

        List<SimpleObject> simpleObjects3 = new ArrayList<>();
        simpleObjects3.add(new SimpleObject(SysSettingConstant.CHECK_OPEN_GLOBAL_MATCH, "是否开启全局匹配", "false", 1, true));

        settingObjects.add(new SettingObject("图片检查设置", 3, simpleObjects3));

        SysSetting sysSetting = new SysSetting();
        sysSetting.setSchoolId(schoolId);
        sysSetting.setParameterObject(JSON.toJSONString(settingObjects));
        return sysSetting;
    }
}
