package com.qmth.paper.library.common.enums;

import java.util.Objects;

/**
 * @Description: 任务类型enum
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/3/29
 */
public enum TaskTypeEnum {
    ORG_IMPORT("导入组织架构"),

    USER_IMPORT("导入用户"),

    STUDENT_IMPORT("导入学生"),

    PAPER_SCAN_TASK_IMPORT("导入任务"),

    PAPER_DOWNLOAD("批量下载");

    private String title;

    private TaskTypeEnum(String title) {
        this.title = title;
    }

    public String getTitle() {
        return title;
    }

    /**
     * 状态转换 toName
     *
     * @param title
     * @return
     */
    public static String convertToName(String title) {
        for (TaskTypeEnum e : TaskTypeEnum.values()) {
            if (Objects.equals(title, e.getTitle())) {
                return e.name();
            }
        }
        return null;
    }
}
